Subject: 24.0.92; mail-extract-address-components returns strange results

From: Sam Steingold <[email-masked]>
Date: Thu, 29 Dec 2011 23:18:32 -0500

In GNU Emacs 24.0.92.5 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2011-12-28 on t520sds
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
configured using `configure  '--with-wide-int''

I find this result surprising (emacs -Q):
  (mail-extract-address-components "[email-masked] <[email-masked]>")
==>  ("foo" "[email-masked]")
I expected either
  (nil "[email-masked]")
or
  ("foo bar" "[email-masked]")

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://jihadwatch.org http://truepeace.org http://camera.org
http://memri.org http://palestinefacts.org http://dhimmi.com http://ffii.org
nobody's life, liberty or property are safe while the legislature is in session